patch
https://device/v1/devices//usage-sessions/
Update Usage Session
Performs partial update, if a field is specified in the request it will be updated
Request Body Parameters:
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| <customAttribute1> | <customAttribute1Type> | false | Regular custom attribute 1 value | |
| <customAttributeN> | <customAttributeNType> | false | Regular custom attribute N value | |
| _configuration | object | false | An object that holds the entity configuration attributes | |
| _configuration.<customAttribute1> | <customAttribute1Type> | false | Configuration custom attribute 1 value | |
| _configuration.<customAttributeN> | <customAttributeNType> | false | Configuration custom attribute N value | |
| _endTime | string | false | A UTC date-time in the ISO-8601 format | 2007-12-20T10:15:30Z |
| _name | string | false | The name of the session | |
| _startTime | string | true | A UTC date-time in the ISO-8601 format | 2007-12-20T10:15:30Z |
| _state | string | true | The Sessions state Values:ACTIVE,DONE,PAUSED,ACTIVATING,PAUSING,RESUMING,STOPPING | ACTIVE |
| _summary | object | false | ||
| _summary.<customAttribute1> | <customAttribute1Type> | false | Summary custom attribute 1 value | |
| _summary.<customAttributeN> | <customAttributeNType> | false | Summary custom attribute N value | |
| _summary._stopReason | string | false | The reason the session was stopped | Manual Stop |
| _summary._stopReasonCode | string | false | The code of the stop reason Values:COMPLETION,GENERAL_DEVICE_ERROR,TIMEOUT | COMPLETION |
| Path Parameters: |
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| deviceId | string | true | null | |
| id | string | true | Usage Session ID that needs to be updated | 3fa85f64-5717-4562-b3fc-2c963f66afa6 |
| Query Parameters: |
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| includeReferencers | boolean | false | Optional query parameter that controls whether the response should include referencers metadata. When set to true, the response will contain an additional _referencers JSON node with information about entities that reference this entity (e.g. referrer template, attribute, count, etc.).If this query parameter is not provided, a default behavior will be applied. The default value is configurable and may differ between environments. Note: Enabling referencers information may impact performance, as additional data needs to be resolved and returned. |
This API requires PROTECTED_API permission(s).
